Class | Bio::DDBJ::XML
In: | lib/bio/io/ddbjxml.rb
Parent: | Bio::SOAPWSDL

# Bio::DDBJ::XML

Accessing the DDBJ web services.

- xml.nig.ac.jp/
- xml.nig.ac.jp/wsdl/index.jsp

### Methods

new

### Classes and Modules

Class Bio::DDBJ::XML::Blast
Class Bio::DDBJ::XML::ClustalW
Class Bio::DDBJ::XML::DDBJ
Class Bio::DDBJ::XML::Fasta
Class Bio::DDBJ::XML::GetEntry
Class Bio::DDBJ::XML::Gib
Class Bio::DDBJ::XML::Gtop
Class Bio::DDBJ::XML::PML
Class Bio::DDBJ::XML::RequestManager
Class Bio::DDBJ::XML::SRS
Class Bio::DDBJ::XML::TxSearch

### Constants

BASE_URI | = | "http://xml.nig.ac.jp/wsdl/"
SERVER_URI | = | BASE_URI + "GetEntry.wsdl" |  | set default to GetEntry

### Public Class methods

new(wsdl = nil)

[Source]

        # File lib/bio/io/ddbjxml.rb, line 33
    33:   def initialize(wsdl = nil)
    34:     super(wsdl || self.class::SERVER_URI)
    35:   end

[Validate]